Loading...
Searching...
No Matches
pool.hpp File Reference
`#include <osmium/thread/function_wrapper.hpp>`
`#include <osmium/thread/queue.hpp>`
`#include <osmium/thread/util.hpp>`
`#include <osmium/util/config.hpp>`
`#include <cstddef>`
`#include <future>`
`#include <thread>`
`#include <type_traits>`
`#include <utility>`
`#include <vector>`
Include dependency graph for pool.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::thread::Pool
class | osmium::thread::Pool::thread_joiner

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::thread
| Threading-related low-level code.